Get Call Consent Status

Get Method

The Get Call Consent Status API allows you to get the consent details of end user mobile numbers for outbound voice calling for WhatsApp Business Numbers.

Prerequisites

  1. Know Your Customer (KYC) approval is mandatory. For more information on submission and approval, see Completing the Know Your Customer page.
  2. For prepaid customers, the credit balance should be sufficient to purchase numbers, make and receive calls, and monthly subscription charges. For more information on balance details, see Adding Credits page.
  3. You must have Proof of Business/Business Address and Proof of Identification (Individual/Company-Signatory) depending on the regulations of that particular region or country.
  4. Before you get started, Create an API Key. To view the API Key and the SID, see View API Key and SID.
    A prerequisite for using Kaleyra WhatsApp APIs is to have an active WhatsApp plan on Kaleyra platform.
  5. To set up a WhatsApp account on Kaleyra platform, see Manual Signup
    and Embedded Signup.
  6. An active WhatsApp for Business API plan that includes:
    • A WhatsApp verified and approved profile.
    • A WABA ID onboarded on Kaleyra WhatsApp API.

Base URL

https://<api_domain>/v2/<SID>

API Domain and Value

api_domainValue
IN podapi.in.kaleyra.io
SG Podapi.ap.kaleyra.io
EU Podapi.eu.kaleyra.io

API Request to Get Call Consent Status

To get the call consent status of the end user numbers, use the https://<api_domain>/v2/<sid>/whatsapp/call_permissions endpoint with the following request method:

Request Format

The following is the request format to get call consent status:

curl --location --request GET  'https://<api_domain>/v2/<sid>/whatsapp/call_permissions?business_phone_number=<business_phone_number>,<business_phone_number1>&user_phone_number=<user_phone_number>,<user_phone_number1>&limit=<limit>&offset=<offset>' \
--header 'api-key:<api-key>'

Sample Request Format

The following is the sample request format to get call consent status:

curl --location --request GET  'https://api.in.kaleyra.io/v2/HXAP16XXXXXX97IN/whatsapp/call_permissions?business_phone_number=+9120XXXXX472,+9120XXXXX476&user_phone_number=+91XXXXXXXX95, +91XXXXXXXX96&limit=10&offset=2' \
--header 'api-key: AXXXXXXXXXXXXXXXXXXXXXXXXX3'

URL Parameters and Headers

The following is the list of parameters and headers to send the outgoing message request:

Parameter / HeadersData TypeDescriptionExampleMandatory?
sidStringAccount SID (Security Identifier).HXAP16XXXXXX97INYes
api-keyStringAPI key generated from kaleyra.io account.AXXXXXXXXXXXXXXXXXXXXXXXXX3Yes

The following is the list of attributes to be added to the query parameters to get call consent status API:

ParameterData TypeDescriptionExampleMandatory?
business_phone_numberStringWhatsApp business phone number for which you want to check the permissions.+9120XXXXX472, +9120XXXXX476No
user_phone_numberStringPhone number of the end user for which you want to check the permission to receive call by the WhatsApp Business Phone number.+91XXXXXXXX95, +91XXXXXXXX96No
limitIntegerLimit the number of responses in output. Note: If the value is not provided, by default the value is set to 25.10No
offsetIntegerIndicates the starting index in the list of fetched objects returned in the response.
Note: If the value is not provided, it defaults to zero.
2No

Sample Success Response

The following is the sample success response.

{
    "code": "WA200",
    "message": "Request Processed Successfully",
    "data": [
        {
            "business_phone_number": "+9120XXXXX472",
            "user_phone_number": "+91XXXXXXXX95",
            "can_perform_action": true,
            "response": "accept",
            "is_permanent": true,
            "response_source": "user_action",
            "expiration_timestamp": "2025-12-16T08:56:41Z"
        }
    ],
    "error": {},
    "limit": 25,
    "offset": 0,
    "total": 1
}

Response Parameters

The following is the list of parameters shown in the API response:

ParameterData TypeDescriptionExample
codeStringThe response code for the request was sent.WA200
messageStringThe response message corresponds to the response code.Request Processed Successfully.
dataObjectArray of the objects returned by the API response with details of the WhatsApp Business Phone Number returned.See the specific table below for details.
errorArrayThe error list associated with the response.
limitIntegerThe number of templates shown in the GET response. The default value is 25.25
offsetIntegerIndicates the starting index in the list of fetched objects returned in the response.
Note: If the value is not provided, it defaults to zero.
0
totalIntegerThe count of the phone numbers is recorded in the response output.1

Data object Parameters

The following is the list of parameters for Data object in the API response.

ParameterData TypeDescriptionExampleMandatory?
business_phone numberStringThe WhatsApp Business Phone number for which permission has been checked.+9120XXXXX472Yes
user_phone_numberStringThe end-user Phone number for which the permission has been checked.+91XXXXXXXX95Yes
can_perform_actionBooleanIndicates if the client can call the end user.trueYes
responseStringIndicates the response status. It is either set to accept or reject.
accept - Indicates that the end user has given either permanent or temporary consent for voice call.
reject - Indicates that the end user has not given consent for voice call.
Note: When the response is rejected, can_perform_action is always set to false. When the response is accepted, can_perform_action may be either true or false.
acceptYes
is_permanentBooleanIndicates if permission is permanent.trueYes
response_sourceStringSource of the response. It is either user_action, meta_api, or automatic.user_actionYes
expiration_time_stampStringTimestamp after which the permission expires. Time to Live (TTL).2025-12-16T08:56:41ZYes

Sample Failure Response

The following are the failure response:

401 Unauthorized
{
    "code": "RBC001",
    "message": "Incorrect SID or API key.",
    "data": [],
    "error": {
        "error": "Incorrect SID or API key."
    }
}




© 2026 Kaleyra Inc. All rights reserved.
Trademarks, logos and service marks displayed on this site are registered and unregistered trademarks of Kaleyra Inc.